import 'package:flutter/material.dart';

Widget Greeter(ThemeData theme, {bool full = false}) {
  String greeterText = "";
  try {
    String cityName = getCityName();
    greeterText = "Welcome to $cityName!";
  } catch (e) {
    greeterText = "Welcome ...";
  }

  Widget topGreeter = Text(
    greeterText,
    style: TextStyle(color: theme.primaryColor, fontSize: 24.0, fontWeight: FontWeight.bold),
    maxLines: 1,
  );

  Widget bottomGreeter = Container();
  if (full) {
    bottomGreeter = Text(
      "Busy day ahead? Here is how to make the most of it!",
      style: TextStyle(color: Colors.black, fontSize: 18),
      textAlign: TextAlign.center,
      );
  }
  Widget greeter = Center(
    child: Column(
      children: [
        if (!full) Padding(padding: EdgeInsets.only(top: 24.0)),
        topGreeter,
        if (full) bottomGreeter,
        Padding(padding: EdgeInsets.only(bottom: 24.0)),
      ],
    ),
  );

  return greeter;
}



String getCityName() {
  return "Paris";
}